Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1737739 - [abrt] dmenu: XmbLookupString(): dmenu killed by SIGSEGV
Summary: [abrt] dmenu: XmbLookupString(): dmenu killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dmenu
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Frantisek Sumsal
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f0afd8d13deb13ee500e610888f...
: 1729601 1741368 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-06 07:09 UTC by oafumprs
Modified: 2019-09-14 01:12 UTC (History)
7 users (show)

Fixed In Version: dmenu-4.9-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-14 01:12:32 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (19.09 KB, text/plain)
2019-08-06 07:09 UTC, oafumprs
no flags Details
File: cgroup (335 bytes, text/plain)
2019-08-06 07:09 UTC, oafumprs
no flags Details
File: core_backtrace (670 bytes, text/plain)
2019-08-06 07:09 UTC, oafumprs
no flags Details
File: cpuinfo (1.47 KB, text/plain)
2019-08-06 07:09 UTC, oafumprs
no flags Details
File: dso_list (1.75 KB, text/plain)
2019-08-06 07:09 UTC, oafumprs
no flags Details
File: environ (3.47 KB, text/plain)
2019-08-06 07:09 UTC, oafumprs
no flags Details
File: exploitable (82 bytes, text/plain)
2019-08-06 07:09 UTC, oafumprs
no flags Details
File: limits (1.29 KB, text/plain)
2019-08-06 07:09 UTC, oafumprs
no flags Details
File: maps (15.39 KB, text/plain)
2019-08-06 07:10 UTC, oafumprs
no flags Details
File: mountinfo (3.91 KB, text/plain)
2019-08-06 07:10 UTC, oafumprs
no flags Details
File: open_fds (187 bytes, text/plain)
2019-08-06 07:10 UTC, oafumprs
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2019-08-06 07:10 UTC, oafumprs
no flags Details

Description oafumprs 2019-08-06 07:09:44 UTC
Description of problem:
I don't know - maybe it happend because I was remapping my keys on the keyboard with xmodmap...
for some reason it started crashing whenever I tried to type something into dmenu... after restarting, it stopped


Version-Release number of selected component:
dmenu-4.9-1.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        dmenu
crash_function: XmbLookupString
executable:     /usr/bin/dmenu
journald_cursor: s=d5e430be89a748bd87b91a0bc2e344e4;i=85b8;b=adc25f59237b48b38f818f20dc57dc23;m=7e6796075;t=58f60b904012b;x=ee6107ebd1838913
kernel:         5.1.20-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 XmbLookupString at ICWrap.c:403
 #1 keypress at dmenu.c:569
 #2 run at dmenu.c:569

Comment 1 oafumprs 2019-08-06 07:09:48 UTC
Created attachment 1600862 [details]
File: backtrace

Comment 2 oafumprs 2019-08-06 07:09:49 UTC
Created attachment 1600863 [details]
File: cgroup

Comment 3 oafumprs 2019-08-06 07:09:51 UTC
Created attachment 1600864 [details]
File: core_backtrace

Comment 4 oafumprs 2019-08-06 07:09:52 UTC
Created attachment 1600865 [details]
File: cpuinfo

Comment 5 oafumprs 2019-08-06 07:09:54 UTC
Created attachment 1600866 [details]
File: dso_list

Comment 6 oafumprs 2019-08-06 07:09:55 UTC
Created attachment 1600867 [details]
File: environ

Comment 7 oafumprs 2019-08-06 07:09:57 UTC
Created attachment 1600868 [details]
File: exploitable

Comment 8 oafumprs 2019-08-06 07:09:58 UTC
Created attachment 1600869 [details]
File: limits

Comment 9 oafumprs 2019-08-06 07:10:00 UTC
Created attachment 1600870 [details]
File: maps

Comment 10 oafumprs 2019-08-06 07:10:02 UTC
Created attachment 1600871 [details]
File: mountinfo

Comment 11 oafumprs 2019-08-06 07:10:03 UTC
Created attachment 1600872 [details]
File: open_fds

Comment 12 oafumprs 2019-08-06 07:10:05 UTC
Created attachment 1600873 [details]
File: proc_pid_status

Comment 13 sezer mehmed 2019-08-14 22:26:05 UTC
*** Bug 1741368 has been marked as a duplicate of this bug. ***

Comment 14 Fedora Update System 2019-09-05 14:17:31 UTC
FEDORA-2019-177307aa1e has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-177307aa1e

Comment 15 Frantisek Sumsal 2019-09-05 18:32:06 UTC
*** Bug 1729601 has been marked as a duplicate of this bug. ***

Comment 16 Fedora Update System 2019-09-06 12:11:17 UTC
dmenu-4.9-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-177307aa1e

Comment 17 Fedora Update System 2019-09-14 01:12:32 UTC
dmenu-4.9-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.